InputSplit (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class InputSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit

Direct Known Subclasses:
  CombineFileSplit, DBInputFormat.DBInputSplit, FileSplit, FileSplit

    public abstract class InputSplit

extends Object

`InputSplit` represents the data to be processed by an individual `Mapper`.

Typically, it presents a byte-oriented view on the input and is the responsibility of `RecordReader` of the job to process this and present a record-oriented view.

See Also:
  `InputFormat`, `RecordReader`

Constructor Summary
`InputSplit()`

Method Summary
`abstract long` | `getLength()` Get the size of the split, so that the input splits can be sorted by size.
`abstract String[]` | `getLocations()` Get the list of nodes by name where the data for the split would be local.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSplit

    public InputSplit()

Method Detail

### getLength

    public abstract long getLength()
                            throws IOException,
                                   InterruptedException

  Get the size of the split, so that the input splits can be sorted by size.

  Returns:
    the number of bytes in the split
  Throws:
    `IOException`
    `InterruptedException`

### getLocations

    public abstract String[] getLocations()
                                   throws IOException,
                                          InterruptedException

  Get the list of nodes by name where the data for the split would be local. The locations do not need to be serialized.

  Returns:
    a new array of the node nodes.
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation